/*
 * CanNotCompareException.java
 *
 * Copyright (C) 1998  Utrecht University, Netherlands
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package nl.coffee.math;

/**
 * Exception thrown to indicate a compare operation failed. This exception
 * is thrown by the <code>compareTo(RealNumber)</code> method in
 * interface <code>RealNumber</code>.
 *
 * @see RealNumber#compareTo(RealNumber)
 *
 * @version 1.0 199809.24
 * @author Ernst de Haan
 *
 * @since JUMP_1.0
 */
public class CanNotCompareException
   extends Exception
{
   /**
    * Constructs a new <code>CanNotCompareException</code> for a failed
    * comparison between the specified numbers.
    *
    * @param a
    *    the first number.
    *
    * @param b
    *    the second number.
    */
   public CanNotCompareException(RealNumber a, RealNumber b)
   {
      // to be done
   }

}
