package nl.coffee.math.test;

import nl.coffee.math.*;
import java.util.*;

public class TestDouble
{
   Random rnd = new Random();
   long l;
   double d1;
   double d2;
   RationalNumber num;
   double numerator, denominator;

   private TestDouble(int loopCount)
   {
      if (loopCount == -1)
      {
         while (true)
         {
            testLoop();
         }
      }

      for (int i=0; i < loopCount; i++)
      {
         testLoop();
      }
   }

   private void testLoop()
   {
      l = rnd.nextLong();
      d1 = Double.longBitsToDouble(l);
      num = NumberCentral.valueOf(d1);

      d2 = num.doubleValue();
      if (d1 != d2)
      {
         numerator = num.getNumerator().doubleValue();
         denominator = num.getDenominator().doubleValue();
         
         System.out.println(""+d1+" => "+num+
                            " => "+numerator+"/"+denominator+
                            " => "+d2);
         System.err.println(""+d1+" => "+num+
                            " => "+numerator+"/"+denominator+
                            " => "+d2);
      }
   }

   public static void main(String[] args)
   {
      if (args.length != 1)
      {
         System.err.println("Infinite loop");
         new TestDouble(-1);
      }
      else
      {
         int loopCount = Integer.valueOf(args[0]).intValue();
         System.err.println("Loop count is "+loopCount);
         new TestDouble(loopCount);
      }
   }

}
