package nl.coffee.math.test;

import nl.coffee.math.*;
import java.math.*;

public class TestGcd
{
   private TestGcd()
   {
      System.out.println("________________________________");
      System.out.println("nl.coffee.math.IntegerNumber:");
      TestJump();

      System.out.println("________________________________");
      System.out.println("java.math.BigInteger:");
      TestBigInteger();
   }

   private void TestJump()
   {
      IntegerNumber pos = NumberCentral.valueOf(1);
      IntegerNumber zero = NumberCentral.valueOf(0);
      IntegerNumber neg = NumberCentral.valueOf(-1);

      System.out.println("neg  GCD neg:  "+neg.gcd(neg));
      System.out.println("neg  GCD zero: "+neg.gcd(zero));
      System.out.println("neg  GCD pos:  "+neg.gcd(pos));

      System.out.println("zero GCD neg:  "+zero.gcd(neg));
      System.out.println("zero GCD zero: "+zero.gcd(zero));
      System.out.println("zero GCD pos:  "+zero.gcd(pos));

      System.out.println("pos  GCD neg:  "+pos.gcd(neg));
      System.out.println("pos  GCD zero: "+pos.gcd(zero));
      System.out.println("pos  GCD pos:  "+pos.gcd(pos));
   }

   private void TestBigInteger()
   {
      BigInteger pos = BigInteger.valueOf(1);
      BigInteger zero = BigInteger.valueOf(0);
      BigInteger neg = BigInteger.valueOf(-1);

      System.out.println("neg  GCD neg:  "+neg.gcd(neg));
      System.out.println("neg  GCD zero: "+neg.gcd(zero));
      System.out.println("neg  GCD pos:  "+neg.gcd(pos));

      System.out.println("zero GCD neg:  "+zero.gcd(neg));
      System.out.println("zero GCD zero: "+zero.gcd(zero));
      System.out.println("zero GCD pos:  "+zero.gcd(pos));

      System.out.println("pos  GCD neg:  "+pos.gcd(neg));
      System.out.println("pos  GCD zero: "+pos.gcd(zero));
      System.out.println("pos  GCD pos:  "+pos.gcd(pos));
   }

   public static void main(String[] args)
   {
      new TestGcd();
   }

}
